Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetUseMPIIO

Returns `PETSC_TRUE` if the binary viewer uses MPI-IO.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetUseMPIIO(PetscViewer viewer, PetscBool *use)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`; must be a `PETSCVIEWERBINARY`

## Output Parameter

- use - `PETSC_TRUE` if MPI-IO is being used

## Note

If MPI-IO is not available, this function will always return `PETSC_FALSE`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetInfoPointer()`, `PetscViewerBinarySetUseMPIIO()`, `PetscViewerBinaryGetMPIIOOffset()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Examples

src/dm/tutorials/ex15.c

## Implementations

PetscViewerBinaryGetUseMPIIO_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages